Next: ISHFTC, Previous: ISATTY, Up: Intrinsic Procedures

### 8.135 `ISHFT` — Shift bits

Description:
  `ISHFT` returns a value corresponding to I with all of the bits shifted SHIFT places. A value of SHIFT greater than zero corresponds to a left shift, a value of zero corresponds to no shift, and a value less than zero corresponds to a right shift. If the absolute value of SHIFT is greater than `BIT_SIZE(I)`, the value is undefined. Bits shifted out from the left end or right end are lost; zeros are shifted in from the opposite end.
Standard:
  Fortran 95 and later
Class:
  Elemental function
Syntax:
  `RESULT = ISHFT(I, SHIFT)`
Arguments:

  I | The type shall be `INTEGER`.
  SHIFT | The type shall be `INTEGER`.

Return value:
  The return value is of type `INTEGER` and of the same kind as I.
See also:
  ISHFTC